Advisory Details

February 10th, 2021

IBM WebSphere EDataGraphImpl Deserialization of Untrusted Data Information Disclosure Vulnerability

ZDI-21-174
ZDI-CAN-12478

CVE ID CVE-2021-20353
CVSS SCORE 7.5, (AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N)
AFFECTED VENDORS IBM
AFFECTED PRODUCTS WebSphere
VULNERABILITY DETAILS

This vulnerability allows remote attackers to disclose sensitive information on affected installations of IBM WebSphere. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the EDataGraphImpl class. The issue results from the lack of proper validation of user-supplied data, which can result in deserialization of untrusted data. An attacker can leverage this vulnerability to disclose information in the context of root.

ADDITIONAL DETAILS IBM has issued an update to correct this vulnerability. More details can be found at:
https://www.ibm.com/support/pages/node/6413709
DISCLOSURE TIMELINE
  • 2020-12-11 - Vulnerability reported to vendor
  • 2021-02-10 - Coordinated public release of advisory
CREDIT r00t4dm at Cloud-Penetrating Arrow Lab and Longofo at Knownsec 404 Team
BACK TO ADVISORIES